package com.sunwin.metro.bean;

import java.io.Serializable;

/**
 * @program: sunwin_metro
 * @description: 设备预警信息对象
 * @author: xuYJ
 * @create: 2021-03-05 09:54
 **/
public class DeviceWarn implements Serializable {
    private String device_id;
    private String device_name;
    private String fault_seq;
    private String fault_message;
    private String fault_time;

    public DeviceWarn() {
    }

    public DeviceWarn(String device_id, String device_name, String fault_seq, String fault_message, String fault_time) {
        this.device_id = device_id;
        this.device_name = device_name;
        this.fault_seq = fault_seq;
        this.fault_message = fault_message;
        this.fault_time = fault_time;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public String getDevice_name() {
        return device_name;
    }

    public void setDevice_name(String device_name) {
        this.device_name = device_name;
    }

    public String getFault_seq() {
        return fault_seq;
    }

    public void setFault_seq(String fault_seq) {
        this.fault_seq = fault_seq;
    }

    public String getFault_message() {
        return fault_message;
    }

    public void setFault_message(String fault_message) {
        this.fault_message = fault_message;
    }

    public String getFault_time() {
        return fault_time;
    }

    public void setFault_time(String fault_time) {
        this.fault_time = fault_time;
    }

    @Override
    public String toString() {
        return "DeviceWarn{" +
                "device_id='" + device_id + '\'' +
                ", device_name='" + device_name + '\'' +
                ", fault_seq='" + fault_seq + '\'' +
                ", fault_message='" + fault_message + '\'' +
                ", fault_time='" + fault_time + '\'' +
                '}';
    }
}
