package com.sunwin.metro.bean;


import java.io.Serializable;

/**
 * @program: sunwin_metro
 * @description: 仪表对象
 * @author: xuYJ
 * @create: 2021-04-14 10:29
 **/
public class Meter implements Serializable {

    private String id;

    private String meterNumber;

    private int meterType;

    private String name;

    private String brandName;

    private String personName;

    private String personTel;

    private boolean isOnline;

    private String installLocation;

    private String meterAttribute;

    private String remarks;

    private String collectorId;

    private String stationId;

    private String gmtModified;

    private String gmtCreate;

    private String meterName;


    public Meter() {
    }

    public Meter(String id, String meterNumber, int meterType) {
        this.id = id;
        this.meterNumber = meterNumber;
        this.meterType = meterType;
    }

    public Meter(String id, String meterNumber, int meterType, String name, String brandName, String personName, String personTel, boolean isOnline, String installLocation, String meterAttribute, String remarks, String collectorId, String stationId, String gmtModified, String gmtCreate, String meterName) {
        this.id = id;
        this.meterNumber = meterNumber;
        this.meterType = meterType;
        this.name = name;
        this.brandName = brandName;
        this.personName = personName;
        this.personTel = personTel;
        this.isOnline = isOnline;
        this.installLocation = installLocation;
        this.meterAttribute = meterAttribute;
        this.remarks = remarks;
        this.collectorId = collectorId;
        this.stationId = stationId;
        this.gmtModified = gmtModified;
        this.gmtCreate = gmtCreate;
        this.meterName = meterName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMeterNumber() {
        return meterNumber;
    }

    public void setMeterNumber(String meterNumber) {
        this.meterNumber = meterNumber;
    }

    public int getMeterType() {
        return meterType;
    }

    public void setMeterType(int meterType) {
        this.meterType = meterType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public String getPersonTel() {
        return personTel;
    }

    public void setPersonTel(String personTel) {
        this.personTel = personTel;
    }

    public boolean isOnline() {
        return isOnline;
    }

    public void setOnline(boolean online) {
        isOnline = online;
    }

    public String getInstallLocation() {
        return installLocation;
    }

    public void setInstallLocation(String installLocation) {
        this.installLocation = installLocation;
    }

    public String getMeterAttribute() {
        return meterAttribute;
    }

    public void setMeterAttribute(String meterAttribute) {
        this.meterAttribute = meterAttribute;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCollectorId() {
        return collectorId;
    }

    public void setCollectorId(String collectorId) {
        this.collectorId = collectorId;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getMeterName() {
        return meterName;
    }

    public void setMeterName(String meterName) {
        this.meterName = meterName;
    }

    @Override
    public String toString() {
        return "Meter{" +
                "id='" + id + '\'' +
                ", meterNumber='" + meterNumber + '\'' +
                ", meterType=" + meterType +
                ", name='" + name + '\'' +
                ", brandName='" + brandName + '\'' +
                ", personName='" + personName + '\'' +
                ", personTel='" + personTel + '\'' +
                ", isOnline=" + isOnline +
                ", installLocation='" + installLocation + '\'' +
                ", meterAttribute='" + meterAttribute + '\'' +
                ", remarks='" + remarks + '\'' +
                ", collectorId='" + collectorId + '\'' +
                ", stationId='" + stationId + '\'' +
                ", gmtModified='" + gmtModified + '\'' +
                ", gmtCreate='" + gmtCreate + '\'' +
                ", meterName='" + meterName + '\'' +
                '}';
    }
}
