package com.sunwin.metro.bean.message;

import java.io.Serializable;

/**
 * @program: sunwin_metro
 * @description: 设备模拟预警信息
 * @author: xuYJ
 * @create: 2021-05-31 12:27
 **/
public class EquipmentWarn implements Serializable {
    private Integer line;
    private Integer equipment_code;
    private Integer station;
    private String equipment_name;

    private String warn_time;

    private String current_time;


    private String warn_type;

    private String flag;

    public EquipmentWarn() {
    }

    public EquipmentWarn(Integer line, Integer equipment_code, Integer station, String equipment_name, String warn_time, String current_time, String warn_type, String flag) {
        this.line = line;
        this.equipment_code = equipment_code;
        this.station = station;
        this.equipment_name = equipment_name;
        this.warn_time = warn_time;
        this.current_time = current_time;
        this.warn_type = warn_type;
        this.flag = flag;
    }

    public Integer getLine() {
        return line;
    }

    public void setLine(Integer line) {
        this.line = line;
    }

    public Integer getEquipment_code() {
        return equipment_code;
    }

    public void setEquipment_code(Integer equipment_code) {
        this.equipment_code = equipment_code;
    }

    public Integer getStation() {
        return station;
    }

    public void setStation(Integer station) {
        this.station = station;
    }

    public String getEquipment_name() {
        return equipment_name;
    }

    public void setEquipment_name(String equipment_name) {
        this.equipment_name = equipment_name;
    }

    public String getWarn_time() {
        return warn_time;
    }

    public void setWarn_time(String warn_time) {
        this.warn_time = warn_time;
    }

    public String getCurrent_time() {
        return current_time;
    }

    public void setCurrent_time(String current_time) {
        this.current_time = current_time;
    }

    public String getWarn_type() {
        return warn_type;
    }

    public void setWarn_type(String warn_type) {
        this.warn_type = warn_type;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    @Override
    public String toString() {
        return "EquipmentWarn{" +
                "line=" + line +
                ", equipment_code=" + equipment_code +
                ", station=" + station +
                ", equipment_name='" + equipment_name + '\'' +
                ", warn_time='" + warn_time + '\'' +
                ", current_time='" + current_time + '\'' +
                ", warn_type='" + warn_type + '\'' +
                ", flag='" + flag + '\'' +
                '}';
    }
}
