package com.sunwin.metro.consumer;

import org.apache.flink.api.java.tuple.Tuple4;
import org.apache.flink.streaming.api.datastream.DataStreamSource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.Serializable;

/**
 * @author xuYJ
 * @description: 用于kafka数据消费的接口
 * @create: 2020-08-26 14:10
 */
public interface TopicConsumer extends Serializable {

    Logger logger = LoggerFactory.getLogger(TopicConsumer.class);

    void process(DataStreamSource<Tuple4<String, Integer, Long, String>> input);

}

