package com.sunwin.metro.filter;

import org.apache.flink.api.common.functions.FilterFunction;
import org.apache.flink.api.java.tuple.Tuple4;

/**
 * @program: sunwin_metro
 * @description: 过滤系统mp的设备名
 * @author: xuYJ
 * @create: 2021-02-19 10:24
 **/
public class MetroFilterMp implements FilterFunction<Tuple4<String, Integer, Long, String>> {
    @Override
    public boolean filter(Tuple4<String, Integer, Long, String> tuple4) throws Exception {
        return !tuple4.f3.contains("_mp_");
    }
}
