package com.sunwin.metro.key;

import com.sunwin.metro.bean.MetroDevice;
import org.apache.flink.api.java.functions.KeySelector;

/**
 * @program: sunwin_metro
 * @description: 对设备属性值进行分组
 * @author: xuYJ
 * @create: 2021-03-08 14:52
 **/
public class DeviceKeySelector implements KeySelector<MetroDevice, String> {
    @Override
    public String getKey(MetroDevice metroDevice) throws Exception {
        return metroDevice.getOriginal_dpe();
    }
}
