package com.sunwin.metro.key;

import org.apache.flink.api.java.functions.KeySelector;
import org.apache.flink.api.java.tuple.Tuple4;

/**
 * @program: sunwin_metro
 * @description: 根据仪表标识分组
 * @author: xuYJ
 * @create: 2021-04-25 15:52
 **/
public class MeterIdSelector implements KeySelector<Tuple4<String, String, String, Long>, String> {
    @Override
    public String getKey(Tuple4<String, String, String, Long> tuple4) throws Exception {
        return tuple4.f0;
    }
}
