package com.sunwin.metro.map;

import com.sunwin.metro.utils.DateUtils;
import org.apache.flink.api.common.functions.MapFunction;
import org.apache.flink.api.java.tuple.Tuple4;

import java.util.Date;

/**
 * @program: sunwin_metro
 * @description: 提取时间戳转换成时间
 * @author: xuYJ
 * @create: 2021-04-25 16:06
 **/
public class MeterTimestampMap implements MapFunction<Tuple4<String, String, String, Long>, String> {
    @Override
    public String map(Tuple4<String, String, String, Long> tuple4) throws Exception {
        return DateUtils.dateToLongStringNoSep(new Date(tuple4.f3));
    }
}
