package com.sunwin.metro.service;

import com.sunwin.metro.map.DeviceNormalMap;
import org.apache.flink.streaming.api.datastream.DataStreamSource;

import java.util.List;
import java.util.Map;

/**
 * @program: sunwin_metro
 * @description: 定时检查设备通讯是否正常
 * @author: xuYJ
 * @create: 2021-01-19 14:47
 **/
public class DeviceNormal {
    public static void process(DataStreamSource<Map<String, List<String>>> source) {
        source.map(new DeviceNormalMap());
    }
}
