package com.sunwin.metro.bean;

import java.io.Serializable;

/**
 * @program: sunwin_metro
 * @description: 写到mysql的设备号对象
 * @author: xuYJ
 * @create: 2021-01-19 14:17
 **/
public class ErrorDevice implements Serializable {
    private String id;
    private String deviceName;
    private String resultInfo;
    private String date;

    public ErrorDevice(String id, String deviceName, String resultInfo, String date) {
        this.id = id;
        this.deviceName = deviceName;
        this.resultInfo = resultInfo;
        this.date = date;
    }

    public ErrorDevice() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(String resultInfo) {
        this.resultInfo = resultInfo;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "ErrorDevice{" +
                "id='" + id + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", resultInfo='" + resultInfo + '\'' +
                ", date='" + date + '\'' +
                '}';
    }
}
