package com.sunwin.metro.bean;

import java.io.Serializable;

/**
 * @program: SWStream
 * @description: 设备属性
 * @author: xuYJ
 * @create: 2021-01-13 07:37
 **/
public class MetroDevice implements Serializable {
    private static final long serialVersionUID = 1228653073721709093L;

    private String websocket_time;

    private String comp_des;

    private String station_name;

    private String device_time;

    private String original_compname;

    private String device_id;

    private String station_id;

    private String attribute_result;

    private String device_des;

    private String action_text;

    private String result_type;

    private String original_dpe;

    private String attribute_time;

    private String action_user;

    private String device_warn;

    private String metro_system;

    private String device_name;

    private String sub_sys;

    private String attribute_type;

    private String attribute_name;

    public MetroDevice() {
    }

    public MetroDevice(String websocket_time, String comp_des, String station_name, String device_time, String original_compname, String device_id, String station_id, String attribute_result, String device_des, String action_text, String result_type, String original_dpe, String attribute_time, String action_user, String device_warn, String metro_system, String device_name, String sub_sys, String attribute_type, String attribute_name) {
        this.websocket_time = websocket_time;
        this.comp_des = comp_des;
        this.station_name = station_name;
        this.device_time = device_time;
        this.original_compname = original_compname;
        this.device_id = device_id;
        this.station_id = station_id;
        this.attribute_result = attribute_result;
        this.device_des = device_des;
        this.action_text = action_text;
        this.result_type = result_type;
        this.original_dpe = original_dpe;
        this.attribute_time = attribute_time;
        this.action_user = action_user;
        this.device_warn = device_warn;
        this.metro_system = metro_system;
        this.device_name = device_name;
        this.sub_sys = sub_sys;
        this.attribute_type = attribute_type;
        this.attribute_name = attribute_name;
    }



    public String getWebsocket_time() {
        return websocket_time;
    }

    public void setWebsocket_time(String websocket_time) {
        this.websocket_time = websocket_time;
    }

    public String getComp_des() {
        return comp_des;
    }

    public void setComp_des(String comp_des) {
        this.comp_des = comp_des;
    }

    public String getStation_name() {
        return station_name;
    }

    public void setStation_name(String station_name) {
        this.station_name = station_name;
    }

    public String getDevice_time() {
        return device_time;
    }

    public void setDevice_time(String device_time) {
        this.device_time = device_time;
    }

    public String getOriginal_compname() {
        return original_compname;
    }

    public void setOriginal_compname(String original_compname) {
        this.original_compname = original_compname;
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public String getStation_id() {
        return station_id;
    }

    public void setStation_id(String station_id) {
        this.station_id = station_id;
    }

    public String getAttribute_result() {
        return attribute_result;
    }

    public void setAttribute_result(String attribute_result) {
        this.attribute_result = attribute_result;
    }

    public String getDevice_des() {
        return device_des;
    }

    public void setDevice_des(String device_des) {
        this.device_des = device_des;
    }

    public String getAction_text() {
        return action_text;
    }

    public void setAction_text(String action_text) {
        this.action_text = action_text;
    }

    public String getResult_type() {
        return result_type;
    }

    public void setResult_type(String result_type) {
        this.result_type = result_type;
    }

    public String getOriginal_dpe() {
        return original_dpe;
    }

    public void setOriginal_dpe(String original_dpe) {
        this.original_dpe = original_dpe;
    }

    public String getAttribute_time() {
        return attribute_time;
    }

    public void setAttribute_time(String attribute_time) {
        this.attribute_time = attribute_time;
    }

    public String getAction_user() {
        return action_user;
    }

    public void setAction_user(String action_user) {
        this.action_user = action_user;
    }

    public String getDevice_warn() {
        return device_warn;
    }

    public void setDevice_warn(String device_warn) {
        this.device_warn = device_warn;
    }

    public String getMetro_system() {
        return metro_system;
    }

    public void setMetro_system(String metro_system) {
        this.metro_system = metro_system;
    }

    public String getDevice_name() {
        return device_name;
    }

    public void setDevice_name(String device_name) {
        this.device_name = device_name;
    }

    public String getSub_sys() {
        return sub_sys;
    }

    public void setSub_sys(String sub_sys) {
        this.sub_sys = sub_sys;
    }

    public String getAttribute_type() {
        return attribute_type;
    }

    public void setAttribute_type(String attribute_type) {
        this.attribute_type = attribute_type;
    }

    public String getAttribute_name() {
        return attribute_name;
    }

    public void setAttribute_name(String attribute_name) {
        this.attribute_name = attribute_name;
    }

    @Override
    public String toString() {
        return "MetroDevice{" +
                "websocket_time='" + websocket_time + '\'' +
                ", comp_des='" + comp_des + '\'' +
                ", station_name='" + station_name + '\'' +
                ", device_time='" + device_time + '\'' +
                ", original_compname='" + original_compname + '\'' +
                ", device_id='" + device_id + '\'' +
                ", station_id='" + station_id + '\'' +
                ", attribute_result='" + attribute_result + '\'' +
                ", device_des='" + device_des + '\'' +
                ", action_text='" + action_text + '\'' +
                ", result_type='" + result_type + '\'' +
                ", original_dpe='" + original_dpe + '\'' +
                ", attribute_time='" + attribute_time + '\'' +
                ", action_user='" + action_user + '\'' +
                ", device_warn='" + device_warn + '\'' +
                ", metro_system='" + metro_system + '\'' +
                ", device_name='" + device_name + '\'' +
                ", sub_sys='" + sub_sys + '\'' +
                ", attribute_type='" + attribute_type + '\'' +
                ", attribute_name='" + attribute_name + '\'' +
                '}';
    }
}
