package com.sunwin.metro.config;

import java.util.ResourceBundle;

/**
 * @author xuYJ
 * @description: 配置文件类
 * @create: 2020-08-26 14:10
 */
public class ConfigFileHandler {

    private static final ResourceBundle RESOURCE = ResourceBundle.getBundle("metro");


    public static String getKafkaAddress() {
        return RESOURCE.getString("kafkaAddress5");
    }


    public static String getCheckPoint() {
        return RESOURCE.getString("checkPoint5");
    }


    public static String getMetroTopicName() {
        return RESOURCE.getString("metroTopicName");
    }


    public static String getMetroId() { return RESOURCE.getString("metro.groupId"); }


    public static String getMysqlUrl() {
        return RESOURCE.getString("DB_URL");
    }

    public static String getMysqlUserName() {
        return RESOURCE.getString("USER_NAME");
    }


    public static String getMysqlPassWord() {
        return RESOURCE.getString("PASSWROD");
    }


    public static String getZookeeperHost() {
        return RESOURCE.getString("zookeeper_host");
    }


    public static String getRuleName() {
        return RESOURCE.getString("rule.namespace");
    }


    public static String getRulePath() {
        return RESOURCE.getString("rule.param.path");
    }

    public static String getAppName() {
        return RESOURCE.getString("app_name");
    }

}
