package com.sunwin.metro.utils;

import java.util.Date;

/**
 *生成设备属性id
 *
 * @author kane
 * @date 2019-12-04 17:47
 */
public class Md5Utils {

    public static long getDeviceId(String time,String dpe) {
        if ((dpe == null) || (dpe.length() == 0)) {
            throw new NullPointerException("生成设备 id的设备属性状态名称不能为空");
        }
        if ((time == null) || (time.length() == 0)) {
            time=DateUtils.dateToLongStringNoSep(new Date());
        }
        return Sign.getMd5(dpe+time);
    }

    public static String getDeviceIdNoTime(String dpe) {
        if ((dpe == null) || (dpe.length() == 0)) {
            throw new NullPointerException("生成设备 id的设备属性状态名称不能为空");
        }
        return String.valueOf(Sign.getMd5(dpe));
    }

    public static void main(String[] args) {

    }
}